#import <AppKit/AppKit.h>
#import "util.h"
#include <math.h>

#define GanttHour    3600.0  // 60.0*60.0
#define GanttHalfDay 43200.0 // 60.0*60.0*12.0
#define GanttDay     86400.0 // 60.0*60.0*24.0
#define GanttWeek    604800  // 60.0*60.0*24.0*7.0

@interface NSDate (GanttAdditions)

- (NSDate *)dateByRoundingToNearest:(NSTimeInterval)seconds;
- (NSDate *)max:(NSDate *)aDate;
- (NSDate *)min:(NSDate *)aDate;

#if GNUSTEP_BASE_LIBRARY || UNIVERSAL_INTERFACES_VERSION <= 0x0400
- (NSDate *)dateByAddingTimeInterval:(NSTimeInterval)seconds;
#endif

@end
